<?php if (!defined('BASEPATH')) exit('No direct script access allowed');

class About extends SiteController {
  function __construct () {
    parent::__construct();
    $this->data['page'] = 'about';
    $this->data['metatags'] = $this->getMetatags($this->data['page']);
  }

  public function index () {
    $this->load->model('internBannerModel');
    $this->data['banner'] = $this->internBannerModel->getRowWhere(['slug' => 'about']);

    $this->load->model('pageContentModel');
    $this->data['whyChooseUs'] = $this->pageContentModel->getRowWhere(['slug' => 'why-choose-us']);
    $this->data['about'] = $this->pageContentModel->getRowWhere(['slug' => 'about']);
    
    $this->load->model('GalleryImageModel');
    $this->data['images'] = $this->GalleryImageModel->getAll();

    $this->load->model('GalleryVideoModel');
    $this->data['videos'] = $this->GalleryVideoModel->getAll();

    $this->load->model('WhyChooseUsItemModel');
    $this->data['whyChooseUsItems'] = $this->WhyChooseUsItemModel->getAll();

    $this->load->view('about', $this->data);
  }
}